Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2256975

Summary: Review Request: rust-libdeflater - Bindings to libdeflate for DEFLATE
Product: [Fedora] Fedora Reporter: Ben Beasley <code>
Component: Package ReviewAssignee: Fabio Valentini <decathorpe>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: decathorpe, package-review
Target Milestone: ---Flags: decathorpe: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: https://crates.io/crates/libdeflater
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2024-01-12 14:03:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2256974    
Bug Blocks: 1276941, 2246802, 2257076    

Description Ben Beasley 2024-01-05 19:17:33 UTC
Spec URL: https://music.fedorapeople.org/rust-libdeflater.spec
SRPM URL: https://music.fedorapeople.org/rust-libdeflater-1.19.0-1.fc40.src.rpm

Description:

Bindings to libdeflate for DEFLATE (de)compression exposed as non-
streaming buffer operations. Contains bindings for raw deflate, zlib,
and gzip data.

Fedora Account System Username: music

This review request is for unretirement of rust-libdeflater[1] under the Package Retirement Policy[2]; the uploaded package corresponds to a PR[3] that would be merged upon unretirement.

This package is in the dependency tree for python-cramjam, which is needed for current versions of python-fastavro. It would become a neuro-sig package (in addition to a rust-sig package).

[1] https://src.fedoraproject.org/rpms/rust-libdeflater
[2] https://docs.fedoraproject.org/en-US/package-maintainers/Package_Retirement_Process/#claiming.
[3] https://src.fedoraproject.org/rpms/rust-libdeflater/pull-request/1

Comment 1 Fedora Review Service 2024-01-05 19:20:19 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6867039
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2256975-rust-libdeflater/fedora-rawhide-x86_64/06867039-rust-libdeflater/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Fabio Valentini 2024-01-06 20:23:29 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification (Apache-2.0) and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- add @rust-sig with "commit" access as package co-maintainer
  (should happen automatically)

- set bugzilla assignee overrides to @rust-sig (optional)

- track package in koschei for all built branches
  (should happen automatically once rust-sig is co-maintainer)

===

Please make sure to exclude the scripts/ folder from the installed files in some way (either by patching Cargo.toml to add an `exclude = ["/scripts"]` setting under the `[package]` table, or by using `%exclude %{crate_instdir}/scripts` in the %files list of the -devel subpackage). Otherwise the package gets an unwanted dependency on /usr/bin/ruby.

Comment 3 Ben Beasley 2024-01-06 21:49:41 UTC
Thank you for the review!

(In reply to Fabio Valentini from comment #2)
> Please make sure to exclude the scripts/ folder from the installed files in
> some way (either by patching Cargo.toml to add an `exclude = ["/scripts"]`
> setting under the `[package]` table, or by using `%exclude
> %{crate_instdir}/scripts` in the %files list of the -devel subpackage).
> Otherwise the package gets an unwanted dependency on /usr/bin/ruby.

Great catch! I [added this to the unretirement PR](https://src.fedoraproject.org/fork/music/rpms/rust-libdeflater/c/edffdceefdf30f3662f3f12fa1d4a263c10154c1) and confirmed that this removed the packaged scripts/ directory and the unwanted /usr/bin/ruby dependency.

Releng ticket for unretirement filed: https://pagure.io/releng/issue/11874

Comment 4 Fedora Update System 2024-01-12 14:03:03 UTC
FEDORA-2024-e82b6c9700 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2024-e82b6c9700

Comment 5 Fedora Update System 2024-01-12 14:03:32 UTC
FEDORA-2024-e82b6c9700 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2024-01-17 21:15:35 UTC
FEDORA-EPEL-2024-5446a7b08a has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-5446a7b08a

Comment 7 Fedora Update System 2024-01-18 01:50:49 UTC
FEDORA-EPEL-2024-5446a7b08a has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-5446a7b08a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-01-19 01:04:44 UTC
FEDORA-2024-080062b0df has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2024-080062b0df

Comment 9 Fedora Update System 2024-01-19 02:02:00 UTC
FEDORA-2024-0407cd3e71 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2024-0407cd3e71

Comment 10 Fedora Update System 2024-01-19 03:33:16 UTC
FEDORA-2024-080062b0df has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-080062b0df \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-080062b0df

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2024-01-20 03:24:36 UTC
FEDORA-2024-0407cd3e71 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-0407cd3e71 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-0407cd3e71

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2024-01-26 01:01:28 UTC
FEDORA-EPEL-2024-5446a7b08a has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2024-01-27 02:11:49 UTC
FEDORA-2024-080062b0df has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2024-01-28 03:07:22 UTC
FEDORA-2024-0407cd3e71 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.